----------------------------------------------------------------------
-- Created by SmartDesign Wed Sep 13 09:37:59 2017
-- Version: PolarFire v1.1SP1 12.100.9.13
----------------------------------------------------------------------

----------------------------------------------------------------------
-- Libraries
----------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

library polarfire;
use polarfire.all;
----------------------------------------------------------------------
-- Retime_1_Bit entity declaration
----------------------------------------------------------------------
entity Retime_1_Bit is
    -- Port list
    port(
        -- Inputs
        CLK : in  std_logic;
        D   : in  std_logic;
        -- Outputs
        Q   : out std_logic
        );
end Retime_1_Bit;
----------------------------------------------------------------------
-- Retime_1_Bit architecture body
----------------------------------------------------------------------
architecture RTL of Retime_1_Bit is
----------------------------------------------------------------------
-- Component declarations
----------------------------------------------------------------------
-- DFN1
component DFN1
    -- Port list
    port(
        -- Inputs
        CLK : in  std_logic;
        D   : in  std_logic;
        -- Outputs
        Q   : out std_logic
        );
end component;
----------------------------------------------------------------------
-- Signal declarations
----------------------------------------------------------------------
signal DFN1_0_Q : std_logic;
signal DFN1_1_Q : std_logic;
signal Q_net_0  : std_logic;
signal Q_net_1  : std_logic;

begin
----------------------------------------------------------------------
-- Top level output port assignments
----------------------------------------------------------------------
 Q_net_1 <= Q_net_0;
 Q       <= Q_net_1;
----------------------------------------------------------------------
-- Component instances
----------------------------------------------------------------------
-- DFN1_0
DFN1_0 : DFN1
    port map( 
        -- Inputs
        D   => D,
        CLK => CLK,
        -- Outputs
        Q   => DFN1_0_Q 
        );
-- DFN1_1
DFN1_1 : DFN1
    port map( 
        -- Inputs
        D   => DFN1_0_Q,
        CLK => CLK,
        -- Outputs
        Q   => DFN1_1_Q 
        );
-- DFN1_2
DFN1_2 : DFN1
    port map( 
        -- Inputs
        D   => DFN1_1_Q,
        CLK => CLK,
        -- Outputs
        Q   => Q_net_0 
        );

end RTL;
